Package org.codehaus.janino

# Interface Visitor.ModifierVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

All Superinterfaces:
  `Visitor.AnnotationVisitor<R,EX>`

Enclosing class:
  `Visitor`

public static interface Visitor.ModifierVisitor<R,EX extends Throwable> extends Visitor.AnnotationVisitor<R,EX>
The visitor for the different kinds of `Java.Modifier`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAccessModifier(Java.AccessModifier am)`

### Methods inherited from interface org.codehaus.janino.Visitor.AnnotationVisitor

`visitMarkerAnnotation, visitNormalAnnotation, visitSingleElementAnnotation`

## Method Details

### visitAccessModifier

@Nullable R visitAccessModifier(Java.AccessModifier am) throws EX

Throws:
  `EX`